@echo off
cls
echo"
echo This procedure to install GAEILGE I NORMAL font will do the following:
echo 1  It will create a GAEILGE subdirectory in your C:\WINDOWS directory.
echo 2  If such a directory already exists, it will notify you
echo    and ask if you want to proceed. If you do so, the files listed
echo    below will be copied to that directory, and will replace any existing
echo    files in that directory which have the same name.
echo 3  If a C:\WINDOWS directory does not exist, it will notify you;
echo    it will cancel the procedure; and you will need to install the
echo    font and the Recorder Macro manually to wherever you keep your
echo    Windows files. See documentation in GAEILGE1.WRI file, which can
echo    be read using Windows Write. See also README.TXT
echo 4  Into the GAEILGE subdirectory, it will copy the following files:
echo    a) GAEILGE1.TTF   The Truetype file needed for the font.
echo    b) GAEILGE.REC    Windows Recorder Macro file needed to enable
echo                      easy access to special characters.
echo    c) GAEILGE1.WRI   Documentation on Gaeilge font (Windows Write).
echo    d) GSAMPLE.WRI    Sample of font (Windows Write).
echo    e) RECORDER.WRI   Help for using Windows Recorder if you want
echo                      to add to or change the Recorder Macro (Windows Write).
echo    f) README.TXT     Introductory document. To read, type README at DOS prompt.
echo    To cancel the procedure now, hold down Ctrl and press C; then answer Y.
echo    To continue with the procedure, press any other key.
PAUSE >nul
IF EXIST C:\WINDOWS\GAEILGE\NUL GOTO ALREADY
IF NOT EXIST C:\WINDOWS\NUL GOTO NO-WINDOWS
:INSTALL
MD C:\WINDOWS\GAEILGE
XCOPY *.TTF C:\WINDOWS\GAEILGE /V
XCOPY *.WRI C:\WINDOWS\GAEILGE /V
XCOPY *.REC C:\WINDOWS\GAEILGE /V
XCOPY README.* C:\WINDOWS\GAEILGE /V
GOTO SIGNOFF
:ALREADY
echo"
echo    Subdirectory C:\WINDOWS\GAEILGE already exists.
echo    If you proceed, files will be copied to that directory.
echo    Any existing files with the same names will be replaced.
echo"
echo    To cancel, hold down Ctrl and press C; then answer Y;
echo    in that case, no change will have been made to your system.
echo    To read README.TXT, type README at the DOS prompt.
echo"
echo    To proceed with copying files, press any other key.
PAUSE >nul
GOTO INSTALL
:NO-WINDOWS
cls
echo"
echo    Directory C:\WINDOWS has not been found.
echo    No change has been made to your system.
echo    Install font manually to your Windows directory.
echo    See information in README.TXT and GAEILGE1.WRI files.
GOTO END
:SIGNOFF
cls
echo"
echo    In your C:\WINDOWS directory, a GAEILGE subdirectory has been created,
echo    and files have been copied to it.
echo"
echo    You will now need to install the font GAEILGE 1 NORMAL.
echo    This may be done from Windows Program Manager.
echo    Open Control Panel and double-click on Fonts.
echo    Click on the "ADD" button, and go to C:\WINDOWS\GAEILGE subdirectory.
echo    You should see the name of GAEILGE 1 NORMAL appear.
echo    Double-click on it to select it.
echo    This will return you to the Fonts dialog box,
echo    where the font should now be listed.
echo    The Recorder Macro for easy access to special characters
echo    can be run under Windows Recorder.
echo"
echo    Bail o Dhia ar an obair!
echo"
:END
echo"
echo    Fuller documentation in Windows Write file, GAEILGE1.WRI.
echo"
echo    The document README.TXT will now be displayed on screen.
echo    To cancel this, hold Ctrl and press C; then answer Y.
echo    To continue with displaying the file, press any other key.
echo    To go from screen to screen, press any key for more.
echo"
echo    To print the document, enter the following at the DOS prompt:
echo            COPY C:\WINDOWS\GAEILGE\README.TXT PRN
echo"
PAUSE >nul
MORE <C:\WINDOWS\GAEILGE\README.TXT
